%{?scl:%scl_package jackson-datatypes-collections}
%{!?scl:%global pkg_name %{name}}

%global baserelease 1

%bcond_with jp_minimal

# Unavailable deps
# https://bugzilla.redhat.com/show_bug.cgi?id=1369227
%bcond_with pcollections

Name:          %{?scl_prefix}jackson-datatypes-collections
Version:       2.9.4
Release:       4.%{baserelease}%{?dist}
Summary:       Jackson datatypes: collections
# Source files without license headers https://github.com/FasterXML/jackson-datatypes-collections/issues/10
License:       ASL 2.0
URL:           https://github.com/FasterXML/jackson-datatypes-collections
Source0:       https://github.com/FasterXML/jackson-datatypes-collections/archive/%{pkg_name}-%{version}.tar.gz

BuildRequires:  %{?scl_prefix_maven}maven-local
BuildRequires:  %{?scl_prefix}mvn(com.fasterxml.jackson.core:jackson-core) >= %{version}
BuildRequires:  %{?scl_prefix}mvn(com.fasterxml.jackson.core:jackson-databind) >= %{version}
BuildRequires:  %{?scl_prefix}mvn(com.fasterxml.jackson:jackson-base:pom:) >= %{version}
BuildRequires:  %{?scl_prefix_maven}mvn(com.google.code.maven-replacer-plugin:replacer)
BuildRequires:  %{?scl_prefix_maven}mvn(com.google.guava:guava)
BuildRequires:  %{?scl_prefix_maven}mvn(junit:junit)
BuildRequires:  %{?scl_prefix_maven}mvn(org.apache.felix:maven-bundle-plugin)
%if %{without jp_minimal}
BuildRequires:  mvn(com.carrotsearch:hppc)
%if %{with pcollections}
BuildRequires:  mvn(org.pcollections:pcollections)
%endif
%endif

BuildArch:      noarch

%description
This is a multi-module umbrella project for various Jackson
Data-type modules to support 3rd party Collection libraries.

Currently included are:
* Guava data-type
* HPPC data-type
* PCollections data-type

%package -n %{?scl_prefix}jackson-datatype-guava
Summary:       Add-on module for Jackson which handles Guava data-types

%description -n %{?scl_prefix}jackson-datatype-guava
Add-on datatype-support module for Jackson that handles
Guava types (currently mostly just collection ones).

%if %{without jp_minimal}

%package -n %{?scl_prefix}jackson-datatype-hppc
Summary:       Add-on module for Jackson to support HPPC data-types

%description -n %{?scl_prefix}jackson-datatype-hppc
Jackson data-type module to support JSON serialization and
deserialization of High-Performance Primitive Collections
data-types.

%package -n %{?scl_prefix}jackson-datatype-pcollections
Summary:       Add-on module for Jackson to support PCollections data-types

%description -n %{?scl_prefix}jackson-datatype-pcollections
Jackson data-type module to support JSON serialization and
deserialization of PCollections data-types.
%endif

%package javadoc
Summary: Javadoc for %{pkg_name}

%description javadoc
This package contains API documentation for %{pkg_name}.

%prep
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%setup -q -n %{pkg_name}-%{pkg_name}-%{version}

sed -i 's/\r//' hppc/src/main/resources/META-INF/LICENSE
cp -p hppc/src/main/resources/META-INF/LICENSE .

%if %{with jp_minimal}
# Disable modules with additional deps
%pom_disable_module pcollections
%pom_disable_module hppc
%else
%if %{without pcollections}
%pom_disable_module pcollections
%endif
%endif
%{?scl:EOFSCL}

%build
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%mvn_build -s
%{?scl:EOFSCL}

%install
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%mvn_install
%{?scl:EOFSCL}

%files -f .mfiles-jackson-datatypes-collections
%doc README.md release-notes
%license LICENSE

%files -n %{?scl_prefix}jackson-datatype-guava -f .mfiles-jackson-datatype-guava
%doc guava/README.md guava/release-notes
%license LICENSE

%if %{without jp_minimal}

%files -n %{?scl_prefix}jackson-datatype-hppc -f .mfiles-jackson-datatype-hppc
%doc hppc/README.md hppc/release-notes
%license LICENSE

%if %{with pcollections}

%files -n %{?scl_prefix}jackson-datatype-pcollections -f .mfiles-jackson-datatype-pcollections
%doc pcollections/README.md pcollections/release-notes
%license LICENSE
%endif
%endif

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Fri Sep 07 2018 Mat Booth <mat.booth@redhat.com> - 2.9.4-4.1
- Auto SCL-ise package for rh-eclipse collection

* Fri Sep 07 2018 Mat Booth <mat.booth@redhat.com> - 2.9.4-4
- Allow conditional building of modules with extra deps

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 26 2018 Mat Booth <mat.booth@redhat.com> - 2.9.4-1
- Update to latest upstream release

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Aug 22 2016 gil cattaneo <puntogil@libero.it> 2.7.6-1
- initial rpm